/*
 * Si definisca una classe Java che definisca:
 * - il metodo contaVocali che accetta in ingresso una stringa
 * e restituisce il numero di vocali presenti nella stringa
 * - il metodo main che iterativamente chiede all'utente
 * di inserire una stringa se la stringa inserita ha un numero 
 * di vocali minore o uguale a 5. 
 * Stampa quindi il numero di vocali dell'ultima stringa inserita.
 */

import java.util.*;

public class ContaVocali {
	
	public static void main(String[] args){
		
		Scanner tastiera = new Scanner(System.in);
		String s;
		boolean lunga=false;
		do{
			System.out.print("Inserire una stringa con pi di 5 vocali: ");
			s = tastiera.next();
			if(contaVocali(s)>5)
				lunga = true;
			else
				System.out.println("La stringa inserita non ha pi di 5 vocali.");
		}while(!lunga);
		System.out.println("Il numero di vocali della stringa inserita e': "+contaVocali(s));
		tastiera.close();
	}
	
	public static int contaVocali(String stringa){
		int numVocali = 0;
		int i = 0;
		while(i<stringa.length()){
			switch(stringa.toUpperCase().charAt(i)){
			case 'A':
			case 'E':
			case 'I':
			case 'O':
			case 'U':
				numVocali++;
				break;
			default:
			}
			i++;
		}
		return numVocali;
	}
}
